<!DOCTYPE html>
<html lang="fr">
	<head>
		<title>Whiteboard Picasoft</title>
		<meta charset="utf-8" />
    <link rel="stylesheet" type="text/css" href="default.css" />
	</head>

	<body>
		<header>
			<h1>Whiteboard de Picasoft</h1>
		</header>

    <article class="flex-center-column" >
      <img
        src="picasoft-logo-whiteboard.png"
        alt="Logo de Picasoft"
        class="logo margin-small"
      />

      <p class="warning main-center margin-medium">
        Attention, le contenu des tableaux est réinitialisé chaque nuit (à minuit) ! <br/>
        Pensez à exporter votre tableau une fois votre séance terminée.
      </p>

      <h2 class="margin-small" >Créer un tableau</h2>
      <form
        class="flex-center-column main-center margin-small"
        action="https://board.picasoft.net/app/" method="GET"
      >
        <label class="margin-small" for="whiteboardid">Nom du tableau</label>
        <input class="margin-small" type="text" id="whiteboardid" name="whiteboardid" />

        <label class="margin-small" for="username">Nom d'utilisateur <i>(optionnel)</i></label>
        <input class="margin-small" type="text" id="username" name="username" />

        <div class="buttons flex-row-spacearound margin-medium">
          <input type="submit" value="Lancer le board"/>
          <a href="https://board.picasoft.net/app/?randomid=true">Au hasard !</a>
        </div>
      </form>

      <footer class="main-center flex-row-spacearound margin-medium">
          <a href="#help">Montrer l'aide</a>
          <a class="child" href="https://picasoft.net/co/cgu.html">CGU</a>
	  <a href="https://github.com/cracker0dks/whiteboard">Propolsé par Whiteboard</a>
      </footer>

    </article>

		<div id="help" class="margin-big flex-center-column">
			<h2>Quelques raccourcis usuels</h2>
			<table class="margin-medium">
				<thead>
					<tr class="header">
						<th>Result</th>
						<th>Windows and Linux</th>
						<th>macOS</th>
					</tr>
				</thead>
				<tbody>
					<tr class="odd">
						<td>Clear the whiteboard</td>
						<td>Ctrl + Shift + Z</td>
						<td>Cmd + Shift + Z</td>
					</tr>
					<tr class="even">
						<td>Undo your last step</td>
						<td>Ctrl + Z</td>
						<td>Cmd + Z</td>
					</tr>
					<tr class="odd">
						<td>Redo your last undo</td>
						<td>Ctrl + Y</td>
						<td>Cmd + Y</td>
					</tr>
					<tr class="even">
						<td>Increase thickness</td>
						<td>Ctrl + Up Arrow</td>
						<td>Cmd + Up Arrow</td>
					</tr>
					<tr class="odd">
						<td>Decrease thickness</td>
						<td>Ctrl + Down Arrow</td>
						<td>Cmd + Down Arrow</td>
					</tr>
					<tr class="even">
						<td>Set a color</td>
						<td>Ctrl + Shift + 1,2,3,4,5</td>
						<td>Cmd + Shift + 1,2,3,4,5</td>
					</tr>
					<tr class="odd">
						<td>Toggle between main colors</td>
						<td>Ctrl + Shift + R</td>
						<td>Cmd + Shift + R</td>
					</tr>
				</tbody>
			</table>

			<h2>Tous les raccourcis</h2>
			<table class="margin-medium">
				<thead>
					<tr class="header">
						<th>Result</th>
						<th>Windows and Linux</th>
						<th>macOS</th>
					</tr>
				</thead>
				<tbody>
					<tr class="odd">
						<td>Clear the whiteboard</td>
						<td>Ctrl + Shift + Z</td>
						<td>Cmd + Shift + Z</td>
					</tr>
					<tr class="even">
						<td>Undo your last step</td>
						<td>Ctrl + Z</td>
						<td>Cmd + Z</td>
					</tr>
					<tr class="odd">
						<td>Redo your last undo</td>
						<td>Ctrl + Y</td>
						<td>Cmd + Y</td>
					</tr>
					<tr class="even">
						<td>Select an area</td>
						<td>Ctrl + X</td>
						<td>Cmd + X</td>
					</tr>
					<tr class="odd">
						<td>Take the mouse</td>
						<td>Ctrl + M</td>
						<td>Cmd + M</td>
					</tr>
					<tr class="even">
						<td>Take the pen</td>
						<td>Ctrl + P</td>
						<td>Cmd + P</td>
					</tr>
					<tr class="odd">
						<td>Draw a line</td>
						<td>Ctrl + L</td>
						<td>Cmd + L</td>
					</tr>
					<tr class="even">
						<td>Draw a rectangle</td>
						<td>Ctrl + R</td>
						<td>Cmd + R</td>
					</tr>
					<tr class="odd">
						<td>Draw a circle</td>
						<td>Ctrl + C</td>
						<td>Cmd + C</td>
					</tr>
					<tr class="even">
						<td>Toggle between line, rect, circ</td>
						<td>Ctrl + Shift + F</td>
						<td>Cmd + Shift + F</td>
					</tr>
					<tr class="odd">
						<td>Toggle between pen and eraser</td>
						<td>Ctrl + Shift + X</td>
						<td>Cmd + Shift + X</td>
					</tr>
					<tr class="even">
						<td>Toggle between main clolors</td>
						<td>Ctrl + Shift + R</td>
						<td>Cmd + Shift + R</td>
					</tr>
					<tr class="odd">
						<td>Write text</td>
						<td>Ctrl + A</td>
						<td>Cmd + A</td>
					</tr>
					<tr class="even">
						<td>Take the eraser</td>
						<td>Ctrl + E</td>
						<td>Cmd + E</td>
					</tr>
					<tr class="odd">
						<td>Increase thickness</td>
						<td>Ctrl + Up Arrow</td>
						<td>Cmd + Up Arrow</td>
					</tr>
					<tr class="even">
						<td>Decrease thickness</td>
						<td>Ctrl + Down Arrow</td>
						<td>Cmd + Down Arrow</td>
					</tr>
					<tr class="odd">
						<td>Colorpicker</td>
						<td>Ctrl + Shift + C</td>
						<td>Cmd + Shift + C</td>
					</tr>
					<tr class="even">
						<td>Set black color</td>
						<td>Ctrl + Shift + 1</td>
						<td>Cmd + Shift + 1</td>
					</tr>
					<tr class="odd">
						<td>Set blue color</td>
						<td>Ctrl + Shift + 2</td>
						<td>Cmd + Shift + 2</td>
					</tr>
					<tr class="even">
						<td>Set green color</td>
						<td>Ctrl + Shift + 3</td>
						<td>Cmd + Shift + 3</td>
					</tr>
					<tr class="odd">
						<td>Set yellow color</td>
						<td>Ctrl + Shift + 4</td>
						<td>Cmd + Shift + 4</td>
					</tr>
					<tr class="even">
						<td>Set red color</td>
						<td>Ctrl + Shift + 5</td>
						<td>Cmd + Shift + 5</td>
					</tr>
					<tr class="odd">
						<td>Save whiteboard as image</td>
						<td>Ctrl + S</td>
						<td>Cmd + S</td>
					</tr>
					<tr class="even">
						<td>Save whiteboard as JSON</td>
						<td>Ctrl + Shift + K</td>
						<td>Cmd + Shift + K</td>
					</tr>
					<tr class="odd">
						<td>Save whiteboard to WebDav</td>
						<td>Ctrl + Shift + I (i)</td>
						<td>Cmd + Shift + I (i)</td>
					</tr>
					<tr class="even">
						<td>Load saved JSON to whiteboard</td>
						<td>Ctrl + Shift + J</td>
						<td>Cmd + Shift + J</td>
					</tr>
					<tr class="odd">
						<td>Share whiteboard</td>
						<td>Ctrl + Shift + S</td>
						<td>Cmd + Shift + S</td>
					</tr>
					<tr class="even">
						<td>Hide or show toolbar</td>
						<td>Tab</td>
						<td>Tab</td>
					</tr>
					<tr class="odd">
						<td>Move selected object up</td>
						<td>Up Arrow</td>
						<td>Up Arrow</td>
					</tr>
					<tr class="even">
						<td>Move selected object down</td>
						<td>Down Arrow</td>
						<td>Down Arrow</td>
					</tr>
					<tr class="odd">
						<td>Move selected object left</td>
						<td>Left Arrow</td>
						<td>Left Arrow</td>
					</tr>
					<tr class="even">
						<td>Move selected object right</td>
						<td>Right Arrow</td>
						<td>Right Arrow</td>
					</tr>
					<tr class="odd">
						<td>Drop object</td>
						<td>Ctrl + Enter</td>
						<td>Cmd + Enter</td>
					</tr>
					<tr class="even">
						<td>Add Image to backgroud</td>
						<td>Shift + Enter</td>
						<td>Shift + Enter</td>
					</tr>
					<tr class="odd">
						<td>Cancel all actions</td>
						<td>Escape</td>
						<td>Escape</td>
					</tr>
					<tr class="even">
						<td>Delete selected object</td>
						<td>Delete</td>
						<td>Delete</td>
					</tr>
				</tbody>
			</table>
		</div>
	</body>
</html>
